# Uses of Class
org.eclipse.mat.parser.model.XGCRootInfo

Packages that use XGCRootInfo
Package
Description
org.eclipse.mat.parser
Interfaces for handling indexes.

## Uses of XGCRootInfo in org.eclipse.mat.parser

Method parameters in org.eclipse.mat.parser with type arguments of type XGCRootInfo
Modifier and Type
Method
Description
`void`
IPreliminaryIndex.`setGcRoots(HashMapIntObject<List<XGCRootInfo>> gcRoots)`
store the GC roots information
`void`
IPreliminaryIndex.`setThread2objects2roots(HashMapIntObject<HashMapIntObject<List<XGCRootInfo>>> thread2objects2roots)`
store the thread local variable information